Warnings & Announcements
  • 19 Sep 2022
  • 2 Minutes to read
  • Dark
    Light

Warnings & Announcements

  • Dark
    Light

Warnings and announcements, made by Tegsoft, can be found in this article. Please visit this article frequently for the latest warnings and announcements.

ℹ️  Announcement for New Release!

Tegsoft New Release will be published on 20 September 2022, at 00:30 (TRT) with significant improvements, maintenance works, and updates.

Cloud systems will be updated automatically

For the Release Notes, please visit here



TEGSOFT_V2 EOL NOTIFICATION

Dear Valued Customers;

We are writing this announcement to inform you of an upcoming end of life (EOL) and end of sale (EOS) on the Tegsoft_V2. Tegsoft_V2 is going to be phased out and migrated to Tegsoft_V3.

KEY DATES:

MilestoneDateImplications
Tegsoft_V2
End of Development (EOD)
December 31, 2022From 1st January 2023, all new development and improvement requests will be carried out on Tegsoft_V3. Software updates and patches for Tegsoft_V2 will continue to be released until the EOL date.
Tegsoft_V2
End of Life (EOL)
End of Sale(EOS)
End of Support / End of Service Life (EOSL)
June 30, 2023From 1st July 2023, Tegsoft_V2 will no longer be supported and available for sale.


The above schedule means that Tegsoft customers will have until 30 June 2023 to migrate their existing Tegsoft_V2 to Tegsoft_V3.

We sincerely appreciate your assistance in helping us to minimize the impact of discontinuation of Tegsoft_V2 on your company and your customers, assure that this EOL will not affect the existing service relationship much.



CERTIFICATION ANNOUNCEMENT 

The expiry date of the *.tegsoftcloud.com certificate has been extended. All systems using this certificate need to be updated to the latest version of Tegsoft until the end of July in order to avoid certificate problems. After the update, the certificate validity date will be displayed as 9 August 2023 as shown in the screenshot below.




WARNING FOR API USERS
  • Usernames and passwords (all user codes) created by API users should not be common, such as webservice, webservice123, which may cause security vulnerabilities.

  • We strongly recommend that our users who have this and similar user codes change them as soon as possible.

  • Requests from these users will be rejected as of 01.06.2022 with the new development.


❗Announcement for Customers Using Requirements & Complaints!
Customers using the Requirements & Complaints service should also run the following command after the release.

All in one users should run the command on the Server.
Compute-db users should run the command on the Database.

su - tobe
db2 connect to tobe
db2
REORG TABLE TOBE.TBLRMVARIABLES


❗Warning

The Security Vulnerability CVE-2021-44228 published related to Java log4j does not cover Tegsoft software.
This security vulnerability covers log4j versions between 2 and 2.14.
However, Tegsoft software is integrated with 1.2.16 and 1.2.17 versions.



Tegsoft makes no representations or warranties, either express or implied, by or with respect to anything in this document, and shall not be liable for any implied warranties of merchantability or fitness for a particular purpose or for any indirect, special or consequential damages.

Copyright © 2022, Tegsoft. All rights reserved.

"Tegsoft" and Tegsoft’s products are trademarks of Tegsoft. References to other companies and their products use trademarks owned by the respective companies and are for reference purpose only.


Was this article helpful?

First name must have atleast 2 characters. Numbers and special characters are not allowed.
Last name must have atleast 1 characters. Numbers and special characters are not allowed.
Enter a valid email
Enter a valid password
Your profile has been successfully updated.